<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-admin.css" type='text/css' />
<link rel="first" href="mailman-admin.html" title='GNU mailman - list Administration Manual' />
<link rel='contents' href='contents.html' title="Contents" />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="next" href="node11.html" />
<link rel="prev" href="node9.html" />
<link rel="parent" href="node9.html" />
<link rel="next" href="node11.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>2.1.1 General list personality</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="2.1 the General Options"
  href="node9.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="2.1 the General Options"
  href="node9.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="2.1.2 reply-to header munging"
  href="node11.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - List Administration Manual</td>
<td class='online-navigation'><a rel="contents" title="Table of Contents"
  href="contents.html"><img src='contents.png'
  border='0' height='32'  alt='Contents' width='32' /></a></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node9.html">2.1 The General Options</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node9.html">2.1 The General Options</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node11.html">2.1.2 Reply-To header munging</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h3><a name="SECTION002211000000000000000"></a><a name="general-personality"></a>
<br>
2.1.1 General list personality
</h3>

<p>
These variables, grouped under the general list personality section,
control some public information about the mailing list.

<p>
<dl>
<dt><strong>real_name</strong></dt>
<dd>Every mailing list has both a <em>posting name</em> and a <em>real
    name</em>.  The posting name shows up in urls and in email addresses,
    e.g. the <code>mylist</code> in <code>mylist@example.com</code>.  The posting
    name is always presented in lower case, with alphanumeric
    characters and no spaces.  The list's real name is used in some
    public information and email responses, such as in the general
    list overview.  The real name can differ from the posting name by
    case only.  For example, if the posting name is <code>mylist</code>, the
    real name can be <code>MyList</code>.

<p>
</dd>
<dt><strong>owner</strong></dt>
<dd>This variable contains a list of email addresses, one address per
    line, of the list owners.  These addresses are used whenever the
    list owners need to be contacted, either by the system or by end
    users.  Often, these addresses are used in combination with the
    <code>moderator</code> addresses (see below).

<p>
</dd>
<dt><strong>moderator</strong></dt>
<dd>This variable contains a list of email addresses, one address per
    line, of the list moderators.  These addresses are often used in
    combination with the <code>owner</code> addresses.  For example, when
    you email <code>mylist-owner@example.com</code>, both the owner and
    moderator addresses will receive a copy of the message.

<p>
</dd>
<dt><strong>description</strong></dt>
<dd>In the general list overview page, which shows you every available
    mailing list, each list is displayed with a short description.
    The contents of this variable is that description.  Note that in
    emails from the mailing list, this description is also used in the
    comment section of the <span class="mailheader">To:</span> address.  This text should
    be relatively short and no longer than one line.

<p>
</dd>
<dt><strong>info</strong></dt>
<dd>This variable contains a longer description of the mailing list.
    It is included at the top of the list's information page, and it
    can contain HTML.  However, blank lines will be automatically
    converted into paragraph breaks.  Preview your HTML though,
    because unclosed or invalid HTML can prevent display of parts of
    the list information page.

<p>
</dd>
<dt><strong>subject_prefix</strong></dt>
<dd>This is a string that will be prepended to the
    <span class="mailheader">Subject:</span> header of any message posted to the list.
    For example, if a message is posted to the list with a
    <span class="mailheader">Subject:</span> like:

<p>
<div class="verbatim"><pre>
    Subject: This is a message
</pre></div>

<p>
and the <code>subject_prefix</code> is <code>[My List] </code> (note the
    trailing space!), then the message will be received like so:

<p>
<div class="verbatim"><pre>
    Subject: [My List] This is a message
</pre></div>

<p>
If you leave <code>subject_prefix</code> empty, no prefix will be added
    to the <span class="mailheader">Subject:</span>.  Mailman is careful not to add a
    prefix when the header already has one, as is the case in replies
    for example.  The prefix can also contain characters in the list's
    preferred language.  In this case, because of the vagaries of the
    email standards, you may or may not want to add a trailing space.

<p>
</dd>
<dt><strong>from_is_list</strong></dt>
<dd>This applies to all non-digest messages sent by the list.  For settings
    that apply only to messages whose <span class="mailheader">From:</span> domain publishes a
    DMARC <code>p=reject</code> or <code>p=quarantine</code> policy, see the
    <code>dmarc_moderation_action</code> description in section
    <a href="sender-filters.html#sender-filters">2.7</a>.

<p>
If set to <em>Munge From</em>, it replaces the <span class="mailheader">From:</span> header
    address with the list's posting address to mitigate issues stemming
    from the original <span class="mailheader">From:</span> domain's DMARC or similar policies
    and puts the original <span class="mailheader">From:</span> address in a
    <span class="mailheader">Reply-To:</span> header.

<p>
If set to <em>Wrap Message</em> it wraps the original message as a MIME
    subpart of an outer message with <span class="mailheader">From:</span> and
    <span class="mailheader">Reply-To:</span> headers as above.

<p>
</dd>
<dt><strong>anonymous_list</strong></dt>
<dd>This variable allows you to turn on some simple anonymizing
    features of Mailman.  When you set this option to <em>Yes</em>,
    Mailman will remove or replace the <span class="mailheader">From:</span>,
    <span class="mailheader">Sender:</span>, and <span class="mailheader">Reply-To:</span> fields of any
    message posted to the list.

<p>
Note that this option is simply an aid for anonymization, it
    doesn't guarantee it.  For example, a poster's identity could be
    evident in their signature, or in other mail headers, or even in
    the style of the content of the message.  There's little Mailman
    can do about this kind of identity leakage.
</dd>
</dl>

<p>

<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="2.1 the General Options"
  href="node9.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="2.1 the General Options"
  href="node9.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="2.1.2 reply-to header munging"
  href="node11.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - List Administration Manual</td>
<td class='online-navigation'><a rel="contents" title="Table of Contents"
  href="contents.html"><img src='contents.png'
  border='0' height='32'  alt='Contents' width='32' /></a></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node9.html">2.1 The General Options</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node9.html">2.1 The General Options</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node11.html">2.1.2 Reply-To header munging</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
